View Issue Details

IDProjectCategoryView StatusLast Update
0021806mantisbtattachmentspublic2016-11-04 09:27
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0-beta.3 
Target Version2.0.0-rc.1Fixed in Version2.0.0-rc.1 
Summary0021806: Attachment dropzone missing from notes when user doesn't have access to set view state
Description

When a user doesn't have access to set view state, the following happens:

  • PHP error if error handling is strict.
  • Attachments dropzone within notes is hidden if errors are just logged.
Tagsmantishub, modern-ui

Relationships

related to 0021843 closedvboctor Attachment dropzone missing from notes when the note is private 

Activities

Related Changesets

MantisBT: master b10babe0

2016-10-18 23:14:39

vboctor

Details Diff
Fix missing dropzone when view state is hidden

Attachment dropzone missing from notes when user doesn't have access to set view state

Fixes 0021806
Affected Issues
0021806
mod - bugnote_add_inc.php Diff File

Issue History

Date Modified Username Field Change
2016-10-18 23:08 vboctor New Issue
2016-10-18 23:08 vboctor Status new => assigned
2016-10-18 23:08 vboctor Assigned To => vboctor
2016-10-18 23:09 vboctor Tag Attached: modern-ui
2016-10-18 23:37 vboctor Tag Attached: mantishub
2016-10-18 23:37 vboctor Note Added: 0054264
2016-10-19 21:15 vboctor Changeset attached => MantisBT master b10babe0
2016-10-19 21:15 vboctor Status assigned => resolved
2016-10-19 21:15 vboctor Resolution open => fixed
2016-10-19 21:15 vboctor Fixed in Version => 2.0.0-rc.1
2016-10-30 03:03 vboctoradmin Category bugtracker => attachments
2016-10-30 23:22 vboctor Status resolved => closed
2016-11-04 09:27 dregad Relationship added related to 0021843